Subject: Re: [PATCH net] fjes: Fix an error handling path in fjes_probe()

From: Jakub Kicinski <[email-masked]>
Date: Wed, 21 Dec 2022 17:40:43 -0800

On Tue, 20 Dec 2022 21:57:06 +0100 Christophe JAILLET wrote:
> A netif_napi_add() call is hidden in fjes_sw_init(). It should be undone
> by a corresponding netif_napi_del() call in the error handling path of the
> probe, as already done inthe remove function.

Ah, now I see why Michal asked about netif_napi_del() in the other
driver :S  free_netdev() cleans up NAPIs.